Name:           avro-c
Version:        1.10.2
Release:        1%{?dist}
Summary:        A data serialization system

License:        Apache
URL:            https://avro.apache.org
Source0:        http://www-eu.apache.org/dist/avro/stable/c/%{name}-%{version}.tar.gz

Patch1:         0002-avro-c-Fix-pc-file.patch

BuildRequires:  cmake
BuildRequires:  gcc gcc-c++
BuildRequires:  jansson-devel
BuildRequires:  snappy-devel
BuildRequires:  xz-devel
BuildRequires:  zlib-devel


%description
Apache Avro is a data serialization system. Avro provides rich data
structures; a binary data format; and a container file format, to store
Avro-encoded data persistently.

This package provides the "avro-c" implementation of Apache Avro in C.
The C implementation supports:

* binary encoding/decoding of all primitive and complex data types
* storage to an Avro Object Container File
* schema resolution, promotion and projection
* validating and non-validating mode for writing Avro data

The C implementation of Avro lacks RPC support.


%package        libs
Summary:        Library files for %{name}

%description    libs
The %{name}-libs package contains libraries for applications that use %{name}.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%cmake .
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%check
%ctest


%ldconfig_scriptlets libs


%files
%license LICENSE
%doc AUTHORS NEWS NOTICE README
%{_bindir}/avroappend
%{_bindir}/avrocat
%{_bindir}/avromod
%{_bindir}/avropipe

%files libs
%license LICENSE
%{_libdir}/libavro.so.*

%files devel
%doc docs/index.txt docs/index.html
%{_includedir}/avro
%{_includedir}/avro.h
%{_libdir}/libavro.a
%{_libdir}/libavro.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Apr 22 2021 Felix Kaechele <felix@kaechele.ca> - 1.10.2-1
- update to 1.10.2

* Thu Oct 29 2020 Felix Kaechele <felix@kaechele.ca> - 1.10.0-1
- update to 1.10.0
- drop CMake path fix patch, upstreamed
- use new cmake macros

* Mon Jun 22 2020 Felix Kaechele <heffer@fedoraproject.org> - 1.9.2-1
- update to 1.9.2

* Thu Jun 14 2018 Felix Kaechele <heffer@fedoraproject.org> - 1.8.2-1
- initial package
